package ru.yandex.webmaster3.core.http;

import com.fasterxml.jackson.annotation.JsonValue;

/**
 * @author aherman
 */
public enum ActionStatus {
    SUCCESS("SUCCESS"),
    FAIL("FAIL"),
    ERROR("error"); // специальный статус для takeout ручек

    private final String s;

    ActionStatus(String s) {
        this.s = s;
    }

    @Override
    @JsonValue
    public String toString() {
        return s;
    }
}
